### Class

# Ide Environment

#### Description

    final class Ide.Environment : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### ide_environment_new

No description available.

#### Instance methods

###### ide_environment_append

No description available.

###### ide_environment_copy

Copies the contents of `IdeEnvironment` into a newly allocated `IdeEnvironment`.

Available since: 3.32

###### ide_environment_copy_into

No description available.

###### ide_environment_get_environ

Gets the environment as a set of key=value pairs, suitable for use in various GLib process functions.

Available since: 3.32

###### ide_environment_getenv

No description available.

###### ide_environment_remove

No description available.

###### ide_environment_set_environ

No description available.

###### ide_environment_setenv

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Signals

###### Ide.Environment::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeEnvironmentClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.